Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface RunningReportTable

    public interface RunningReportTable

Interface `RunningReportTable` manages running reports. The `RunningReportTable` class provides a standard interface to get `RunningReport` .

Method Summary
`java.util.Vector` | `getOverTimeRunningReports(long overTime)` Gets running reports when the timeouts is reached.
`java.util.Vector` | `getOverTimeRunningReports(long overTime, java.lang.String userID)` Gets running reports by the user when the timeouts is reached.
`RunningReport` | `getRunningReportByTaskID(java.lang.String taskID)` Gets running reports by the report taskID.
`java.util.Vector` | `getRunningReportByUserID(java.lang.String userID)` Gets running reports by the user.
`java.util.Vector` | `getRunningReports()` Returns a vector of RunningReport that are the immediate sources of running reports for this server.
`void` | `removeRunningReportByTaskID(java.lang.String taskID)` Removes the running reports by the taskID.

Method Detail

### getRunningReports

    java.util.Vector getRunningReports()

  Returns a vector of RunningReport that are the immediate sources of running reports for this server. This method returns null if the RunningReport object has no information about its immediate sources. It returns an empty Vector if the RunningReport object has no immediate sources.

  Returns:
    a Vector of `RunningReport` objects.

### getRunningReportByUserID

    java.util.Vector getRunningReportByUserID(java.lang.String userID)

  Gets running reports by the user.

  Parameters:
    `userID` - the userID.
  Returns:
    the vector containing RunningReport objects.

### getRunningReportByTaskID

    RunningReport getRunningReportByTaskID(java.lang.String taskID)

  Gets running reports by the report taskID.

  Parameters:
    `taskID` - the report task ID.
  Returns:
    the RunningReport containing RunningReport objects.

### getOverTimeRunningReports

    java.util.Vector getOverTimeRunningReports(long overTime)

  Gets running reports when the timeouts is reached.

  Parameters:
    `overTime` - the timeouts in milliseconds.
  Returns:
    the vector containing RunningReport objects.

### getOverTimeRunningReports

    java.util.Vector getOverTimeRunningReports(long overTime,
                                               java.lang.String userID)

  Gets running reports by the user when the timeouts is reached.

  Parameters:
    `overTime` - the timeouts in milliseconds.
    `userID` - user ID.
  Returns:
    the vector containing RunningReport objects.

### removeRunningReportByTaskID

    void removeRunningReportByTaskID(java.lang.String taskID)

  Removes the running reports by the taskID. if the running reports take more time, delete them before running over.

  Parameters:
    `taskID` - is taskID of RunningReport.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD